<html>
<head>
<?cs include:"includes.cs" ?>
  <script type="text/javascript" src="jslib/task.js"></script>
  <style type="text/css">
    #task_list { float: left; width: 250px; height: 525px; overflow:auto} * html #task_list { height: 525px; } /* IE6 */
    .task_list.custom-state-active { background: #eee; }
    .task_list li {width: 206px; padding: 0.4em; margin: 0 0.4em 0.4em 0; text-align: center; }
    .task_list li h5 { margin: 0 0 0.4em; cursor: move; }
    .task_list li a { float: right; }
    .task_list li a.ui-icon-zoomin { float: left; }
    .task_list li img { width: 100%; cursor: move; }

    .time_input {width: 50px;}

    #task_bucket { float: left; margin-left:10px; width: 150px; min-height: 400px; height:500px; overflow:auto; background-image:url(images/new_ui/bucket.png)} * html #task_bucket { height: 400px; } /* IE6 */
    #task_bucket h4 { line-height: 16px; margin: 0 0 0.4em; }
    #task_bucket h4 .ui-icon { float: left; }
    #task_bucket .task_list h5 { display: none; }
    #task_bucket li {margin-left:10px}

    #task_status { float: left; margin-left:10px; width: 400px; min-height: 400px;background:none;} * html #task_status { height: 400px; } /* IE6 */
    #task_status h4 { line-height: 16px; margin: 0 0 0.4em; }
    #task_status h4 .ui-icon { float: left; }
    #task_status .task_list h5 { display: none; }
  </style>


</head>

<body>
<?cs include:"header.cs" ?>
  <div objtype="TaskUI"></div>
  <div class="task ui-widget ui-helper-clearfix">
    <h4>Select your desired tasks
    </h4>
    <ul id="task_list" class="task_list ui-helper-reset ui-helper-clearfix">
    </ul>

    <div id="task_bucket" class="ui-widget-content ui-state-default">
      <h4 class="ui-widget-header">Task List</h4>
    </div>

    <div id="task_status" class="ui-widget-content ui-state-default">
      <h4 class="ui-widget-header">Robot Status</h4>
      <table>
        <tr>
          <td>
            <div id="taskStatus">
              Waiting to hear the robot's state...
            </div>
            <br>
          </td>
        </tr>
      </table>
    </div>

  </div>
  <a href="" id="task_refresh" onclick="refreshAvailableTasks(); return false;"><img src="images/refresh.png" border="0"></img></a>

<?cs include:"ros_app_include_footer.cs" ?>
</body>
